@echo OFF
rem  * *******************************************************************
rem  *               CBLVLRX3.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2019 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text    - Hex Dump of 1st 10,000 bytes of a file.
rem  * Author  - SimoTime Technologies
rem  * Date    - May 04, 2004
rem  * Version - 04.03.12
rem  *
rem  * This set of programs illustrate how to provide a hexdump
rem  * display of a file.
rem  *
rem  * This job uses the SIMOZAPS Utility program and the SIMOMODS
rem  * callable programs to dump the contents of file in a hexadecimal
rem  * format with possible ASCII and EBCDIC interpretations.
rem  *
rem  * The installation of the SimoTime Technologies will be required
rem  * to run this job.
rem  *
rem  * ********************************************************************
rem  * Step 1 of 3, Set the common environment variables...
rem  *
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
     set CmdName=CblVlrX3
     call ..\Env1BASE
rem  * Override SYSLOG for Hex Dump...
     set SYSLOG=%BASESYS%\LOGS\SYSLOG_HEXDUMP.TXT
     if exist %SYSLOG% erase %SYSLOG%
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting CmdName  %CmdName%"
rem  * ********************************************************************
rem  * Step 2 of 3, Hex-Dump of file...
rem  *
     call SimoNOTE "Identify JobStep  Hex-Dump of file"
     set BSIODSN1=%BaseLib1%\DATA\Wrk1\SIMOTIME.DATA.ALPHAZ01.ZOS
     run SIMOZAPS HEXCESS %BSIODSN1% View=1 stop=10000
     if ERRORLEVEL = 1 set JobStatus=0020
     if not "%JobStatus%" == "0000" goto :EojNOK
     call SimoNOTE "DataTake BSIODSN1=%BSIODSN1%"
     call SimoNOTE "DataMake SYSLOG=%SYSLOG%"
rem  * ********************************************************************
rem  * Step 3 of 3, Use NotePAD to display Hex-Dump of file...
rem  *
     if exist %SYSLOG% start NotePAD %SYSLOG%
:EojAOK
     call SimoNOTE "*------------------------------------------------------"
     call SimoNOTE "Finished CmdName  %CmdName%, Job Status is %JobStatus%"
     goto :End
:EojNOK
     call SimoNOTE "*------------------------------------------------------"
     call SimoNOTE "ABENDING CmdName  %CmdName%, Job Status is %JobStatus%"
     goto :End
:End
     call SimoNOTE "Conclude SysLog is %SYSLOG%"
     if not "%1" == "nopause" pause
