@echo OFF
rem  * *******************************************************************
rem  *               CRTALFE1.cmd - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2019 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text   - Create a Sequential Data Set on disk using ECHO function.
rem  * Author - SimoTime Technologies
rem  * Date   - January 24, 1996
rem  *
rem  * The 1st step will delete any previously created file.
rem  *
rem  * The 2nd step will created a new TEXT file. This step will use the
rem  * Windows ECHO with instream data.
rem  *
rem  * The 3rd step will read the text file and convert to a Record
rem  * sequential file of ASCII-encoded, fixed-length, eighty-byte records.
rem  * A COBOL program is used to do the File Format conversion.
rem  *
rem  * The 4th step will read the text file and convert to a Record
rem  * sequential file of EBCDIC-encoded, fixed-length, eighty-byte records.
rem  * A COBOL program is used to do the File Format and File Content
rem  * conversion.
rem  *
rem  * This set of programs will run on a Personal Computer with
rem  * Windows and Micro Focus Net Express.
rem  * ********************************************************************
rem  * Step   1 of 2  Set the global environment variables,
rem  *                Delete any previously created file...
rem  *
     call ..\Env1BASE
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
     set TaskName=CRTALFE1
rem  *
     call SimoNOTE "*--------------------------------------------------------------*%TaskName%"
     call SimoNOTE "Starting TaskName %TaskName%"
     call SimoNOTE "Identify TaskStep DeleteAsciiText"
     set ALPHALS1=%BaseLib1%\DATA\Wrk1\SIMOTIME.DATA.ALPHALS1.TXT
     if exist %ALPHALS1% del %ALPHALS1%
rem  *
rem  * *******************************************************************
rem  * Step   2 of 2  Create and populate a new TEXT file...
rem  *
:CreateAsciiText
     call SimoNOTE "Identify TaskStep CreateAsciiText"
rem  *...:....1....:....2....:....3....:....4....:....5....:....6....:....7....:....8
echo 000000000001 A>>%ALPHALS1%
echo 000000000002 AB>>%ALPHALS1%
echo 000000000003 ABC>>%ALPHALS1%
echo 000000000004 ABCD>>%ALPHALS1%
echo 000000000005 ABCDE>>%ALPHALS1%
echo 000000000006 ABCDEF>>%ALPHALS1%
echo 000000000007 ABCDEFG>>%ALPHALS1%
echo 000000000008 ABCDEFGH>>%ALPHALS1%
echo 000000000009 ABCDEFGHI>>%ALPHALS1%
echo 000000000010 ABCDEFGHIJ>>%ALPHALS1%
echo 000000000011 ABCDEFGHIJK>>%ALPHALS1%
echo 000000000012 ABCDEFGHIJKL>>%ALPHALS1%
echo 000000000013 ABCDEFGHIJKLM>>%ALPHALS1%
echo 000000000014 ABCDEFGHIJKLMN>>%ALPHALS1%
echo 000000000015 ABCDEFGHIJKLMNO>>%ALPHALS1%
echo 000000000016 ABCDEFGHIJKLMNOP>>%ALPHALS1%
echo 000000000017 ABCDEFGHIJKLMNOPR>>%ALPHALS1%
echo 000000000018 ABCDEFGHIJKLMNOPQR>>%ALPHALS1%
echo 000000000019 ABCDEFGHIJKLMNOPQRS>>%ALPHALS1%
echo 000000000020 ABCDEFGHIJKLMNOPQRST>>%ALPHALS1%
echo 000000000021 ABCDEFGHIJKLMNOPQRSTU>>%ALPHALS1%
echo 000000000022 ABCDEFGHIJKLMNOPQRSTUV>>%ALPHALS1%
echo 000000000023 ABCDEFGHIJKLMNOPQRSTUVW>>%ALPHALS1%
echo 000000000024 ABCDEFGHIJKLMNOPQRSTUVWX>>%ALPHALS1%
echo 000000000025 ABCDEFGHIJKLMNOPQRSTUVWXY>>%ALPHALS1%
echo 000000000026 ABCDEFGHIJKLMNOPQRSTUVWXYZ>>%ALPHALS1%
echo 000000000027 ABCDEFGHIJKLMNOPQRSTUVWZXZabcdefghijklmnopqrstuvwxtz1234567890>>%ALPHALS1%
echo 000000000028 ABCDEFGHIJKLMNOPQRSTUVWXYZ>>%ALPHALS1%
echo 000000000029 ABCDEFGHIJKLMNOPQRSTUVWXY>>%ALPHALS1%
echo 000000000030 ABCDEFGHIJKLMNOPQRSTUVWX>>%ALPHALS1%
echo 000000000031 ABCDEFGHIJKLMNOPQRSTUVW>>%ALPHALS1%
echo 000000000032 ABCDEFGHIJKLMNOPQRSTUV>>%ALPHALS1%
echo 000000000033 ABCDEFGHIJKLMNOPQRSTU>>%ALPHALS1%
echo 000000000034 ABCDEFGHIJKLMNOPQRST>>%ALPHALS1%
echo 000000000035 ABCDEFGHIJKLMNOPQRS>>%ALPHALS1%
echo 000000000036 ABCDEFGHIJKLMNOPQR>>%ALPHALS1%
echo 000000000037 ABCDEFGHIJKLMNOPQ>>%ALPHALS1%
echo 000000000038 ABCDEFGHIJKLMNOR>>%ALPHALS1%
echo 000000000039 ABCDEFGHIJKLMNO>>%ALPHALS1%
echo 000000000040 ABCDEFGHIJKLMN>>%ALPHALS1%
echo 000000000041 ABCDEFGHIJKLM>>%ALPHALS1%
echo 000000000042 ABCDEFGHIJKL>>%ALPHALS1%
echo 000000000043 ABCDEFGHIJK>>%ALPHALS1%
echo 000000000044 ABCDEFGHIJ>>%ALPHALS1%
echo 000000000045 ABCDEFGHI>>%ALPHALS1%
echo 000000000046 ABCDEFGH>>%ALPHALS1%
echo 000000000047 ABCDEFG>>%ALPHALS1%
echo 000000000048 ABCDEF>>%ALPHALS1%
echo 000000000049 ABCDE>>%ALPHALS1%
echo 000000000050 ABCD>>%ALPHALS1%
echo 000000000051 ABC>>%ALPHALS1%
echo 000000000052 AB>>%ALPHALS1%
echo 000000000053 A>>%ALPHALS1%
echo 000000000054 a>>%ALPHALS1%
echo 000000000055 ab>>%ALPHALS1%
echo 000000000056 abc>>%ALPHALS1%
echo 000000000057 abcd>>%ALPHALS1%
echo 000000000058 abcde>>%ALPHALS1%
echo 000000000059 abcdef>>%ALPHALS1%
echo 000000000060 abcdefg>>%ALPHALS1%
echo 000000000061 abcdefgh>>%ALPHALS1%
echo 000000000062 abcdefghi>>%ALPHALS1%
echo 000000000063 abcdefghij>>%ALPHALS1%
echo 000000000064 abcdefghijk>>%ALPHALS1%
echo 000000000065 abcdefghijkl>>%ALPHALS1%
echo 000000000066 abcdefghijklm>>%ALPHALS1%
echo 000000000067 abcdefghijklmn>>%ALPHALS1%
echo 000000000068 abcdefghijklmno>>%ALPHALS1%
echo 000000000069 abcdefghijklmnop>>%ALPHALS1%
echo 000000000070 abcdefghijklmnopr>>%ALPHALS1%
echo 000000000071 abcdefghijklmnopqr>>%ALPHALS1%
echo 000000000072 abcdefghijklmnopqrs>>%ALPHALS1%
echo 000000000073 abcdefghijklmnopqrst>>%ALPHALS1%
echo 000000000074 abcdefghijklmnopqrstu>>%ALPHALS1%
echo 000000000075 abcdefghijklmnopqrstuv>>%ALPHALS1%
echo 000000000076 abcdefghijklmnopqrstuvw>>%ALPHALS1%
echo 000000000077 abcdefghijklmnopqrstuvwx>>%ALPHALS1%
echo 000000000078 abcdefghijklmnopqrstuvwxy>>%ALPHALS1%
echo 000000000079 abcdefghijklmnopqrstuvwxyz>>%ALPHALS1%
echo 000000000080 abcdefghijklmnopqrstuvwzxz0123456789>>%ALPHALS1%
echo 000000000081 abcdefghijklmnopqrstuvwxyz>>%ALPHALS1%
echo 000000000082 abcdefghijklmnopqrstuvwxy>>%ALPHALS1%
echo 000000000083 abcdefghijklmnopqrstuvwx>>%ALPHALS1%
echo 000000000084 abcdefghijklmnopqrstuvw>>%ALPHALS1%
echo 000000000085 abcdefghijklmnopqrstuv>>%ALPHALS1%
echo 000000000086 abcdefghijklmnopqrstu>>%ALPHALS1%
echo 000000000087 abcdefghijklmnopqrst>>%ALPHALS1%
echo 000000000088 abcdefghijklmnopqrs>>%ALPHALS1%
echo 000000000089 abcdefghijklmnopqr>>%ALPHALS1%
echo 000000000090 abcdefghijklmnopq>>%ALPHALS1%
echo 000000000091 abcdefghijklmnor>>%ALPHALS1%
echo 000000000092 abcdefghijklmno>>%ALPHALS1%
echo 000000000093 abcdefghijklmn>>%ALPHALS1%
echo 000000000094 abcdefghijklm>>%ALPHALS1%
echo 000000000095 abcdefghijkl>>%ALPHALS1%
echo 000000000096 abcdefghijk>>%ALPHALS1%
echo 000000000097 abcdefghij>>%ALPHALS1%
echo 000000000098 abcdefghi>>%ALPHALS1%
echo 000000000099 abcdefgh>>%ALPHALS1%
echo 000000000100 abcdefg>>%ALPHALS1%
echo 000000000101 abcdef>>%ALPHALS1%
echo 000000000102 abcde>>%ALPHALS1%
echo 000000000103 abcd>>%ALPHALS1%
echo 000000000104 abc>>%ALPHALS1%
echo 000000000105 ab>>%ALPHALS1%
echo 000000000106 a>>%ALPHALS1%
     if not exist %ALPHALS1% set JobStatus=0020
     if not "%JobStatus%" == "0000" goto EojNok
     call SimoNOTE "DataMake ALPHALS1=%ALPHALS1%"
rem  *
:ConvertLSEQtoRSEQasc
rem  *
rem  * *******************************************************************
rem  * Step 3, Read the previously created Line Sequential File (LSEQ)
rem  *         and write a Record Sequential File (RSEQ) with 80-byte,
rem  *         ASCII-encoded records.
rem  *
     call SimoNOTE "Identify TaskStep ConvertLSEQtoRSEQasc"
     set GETLS080=%ALPHALS1%
     set PUTRS080=%BaseLib1%\DATA\Wrk1\SIMOTIME.DATA.ALPHARSA.DAT
     if exist %PUTRS080% del %PUTRS080%
     run CV80ALAR
     if not exist %PUTRS080% set JobStatus=0030
     if not "%JobStatus%" == "0000" goto EojNok
     call SimoNOTE "DataTake GETLS080=%GETLS080%"
     call SimoNOTE "DataMake PUTRS080=%PUTRS080%"
rem  *
:ConvertLSEQtoRSEQebc
rem  *
rem  * *******************************************************************
rem  * Step 4, Read the previously created Line Sequential File (LSEQ)
rem  *         and write a Record Sequential File (RSEQ) with 80-byte,
rem  *         EBCDIC-encoded records.
rem  *
     call SimoNOTE "Identify TaskStep ConvertLSEQtoRSEQebc"
     set GETLS080=%ALPHALS1%
     set PUTRS080=%BaseLib1%\DATA\Wrk1\SIMOTIME.DATA.ALPHARSE.DAT
     if exist %PUTRS080% del %PUTRS080%
     run CV80ALER
     if not exist %PUTRS080% set JobStatus=0040
     if not "%JobStatus%" == "0000" goto EojNok
     call SimoNOTE "DataTake GETLS080=%GETLS080%"
     call SimoNOTE "DataMake PUTRS080=%PUTRS080%"
:EojAok
     call SimoNOTE "Finished TaskName %TaskName%, Job Status is %JobStatus%"
     goto :End
:EojNok
     call SimoNOTE "ABENDING TaskName %TaskName%, Job Status is %JobStatus%"

:End
     call SimoNOTE "Conclude SysLog is %SYSLOG%"
     if not "%1" == "nopause" pause
